Package ru.bitel.bgbilling.modules.agr.server.bean

# Class AGRRequestEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.agr.server.bean.AGRRequestEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class AGRRequestEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Событие в платежном модуле AGR, в обработчике которого есть возможность заполнить произвольные данные, которые будут направлены в ответ на обработку запроса от ПС

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGRRequestEvent(int moduleId, AGRRequest agrRequest, jakarta.servlet.http.HttpServletRequest sourceRequest, int contractId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AGRRequest`
  `getAgrRequest()`
  Получение распарсенных значений параметров из запроса ПС.
  `Map<String,String>`
  `getParameters()`
  `jakarta.servlet.http.HttpServletRequest`
  `getSourceRequest()`
  Получение исходного запроса от ПС.
  `AGRRequestEvent`
  `putValue(String key, String value)`
  `AGRRequestEvent`
  `setParameters(Map<String,String> parameters)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AGRRequestEvent

    public AGRRequestEvent(int moduleId, AGRRequest agrRequest, jakarta.servlet.http.HttpServletRequest sourceRequest, int contractId)

- ## Method Details

  - ### getParameters

    public Map<String,String> getParameters()

  - ### setParameters

    public AGRRequestEvent setParameters(Map<String,String> parameters)

  - ### putValue

    public AGRRequestEvent putValue(String key, String value)

  - ### getAgrRequest

    public AGRRequest getAgrRequest()
    Получение распарсенных значений параметров из запроса ПС. Суммы, подписи, время, id транзакций и т.д.
    Returns:

  - ### getSourceRequest

    public jakarta.servlet.http.HttpServletRequest getSourceRequest()
    Получение исходного запроса от ПС.
    Returns: